# Targets Filter

* Multiple values can be provided separated with a comma `,`
* An inverse not match can be done be prefixing a exclamation point `!`

<table><thead><tr><th width="277">Value</th><th width="293">Example</th><th>Description</th></tr></thead><tbody><tr><td>[TARGET-ID]</td><td><code>123</code></td><td></td></tr><tr><td>tag:[TAG]</td><td><code>tag:mytag</code></td><td></td></tr><tr><td>domain:[DOMAIN]</td><td><code>domain:example.com</code></td><td></td></tr><tr><td>org:[ORG-ID]</td><td><code>org:123</code></td><td></td></tr><tr><td>issue:[ISSUE-ID]</td><td><code>issue:123</code></td><td>Current scan has this Issue ID.</td></tr><tr><td>geo:[GEO]</td><td><code>geo:us</code> or <code>geo:us-ca</code></td><td></td></tr><tr><td>network:[NETWORK-ID]</td><td><code>network:123</code></td><td></td></tr><tr><td>port:[PORT]</td><td><code>port:80</code></td><td>Current scan has this port open.</td></tr><tr><td>tech:[TECH-ID]</td><td><code>tech:1</code></td><td>Current scan has this technology found.</td></tr><tr><td>hostname:[HOSTNAME]</td><td><code>hostname:www.example.com</code></td><td></td></tr><tr><td>name:[NAME]</td><td><code>name:mytarget</code></td><td></td></tr><tr><td>date-created:[DATE-MATCH]</td><td><code>date-created:2024-01-01</code></td><td><a href="/pages/8amh1aCjtopWmg9q4RIE">See Appendix</a></td></tr><tr><td>date-scanned:[DATE-MATCH]</td><td><code>date-scanned:today</code></td><td><a href="/pages/8amh1aCjtopWmg9q4RIE">See Appendix</a></td></tr><tr><td>CVE-XXX</td><td><code>CVE-2021-44228</code></td><td>Current scan has this CVE.</td></tr><tr><td>CWE-XXX</td><td><code>CWE-79</code></td><td>Current scan has this CWE.</td></tr><tr><td>[IP]</td><td><code>1.1.1.1</code></td><td>Current scan resolved to IP</td></tr><tr><td>[IP-RANGE]</td><td><code>1.2.3.4/28</code></td><td>Current scan resolved to IP in range.  <a href="/pages/Zzw11v0MWr1iICwriYWa">See Appendix</a></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.halosecurity.com/api/appendix/targets-filter.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
